package work.xuye.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 加解密配置
 *
 * @author yechuan
 * @since 2023/8/8 14:44
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SignatureConfig {
    /**
     * key 算法
     */
    private String keyAlgorithm;

    /**
     * 公私钥类型
     */
    private String keyType;

    /**
     * 加密算法
     */
    private String signatureAlgorithm;

    /**
     * key
     */
    private String key;
}
